[Numpy-discussion] C-API change for 1.2

Andrew Straw strawman@astraw....
Sat Aug 16 07:41:40 CDT 2008


Robert Kern wrote:
> On Sat, Aug 16, 2008 at 04:34, Jon Wright <wright@esrf.fr> wrote:
>   
>> Travis, Stéfan,
>>
>> I missed Travis mail previously. Are you *really* sure you want force
>> all C code which uses numpy arrays to be recompiled? If you mean that
>> all your matplotlib/PIL/pyopengl/etc users are going to have to make a
>> co-ordinated upgrade, then this seems to be a grave mistake.
>>     
>
> FWIW, neither PIL nor PyOpenGL have C code which uses numpy arrays, so
> they are entirely unaffected. And this does not require an *upgrade*
> of the actually affected packages, just a rebuild of the binary.
>
>   
I'll also point out that PEP 3118 will make this unnecessary in the 
future for many applications. http://www.python.org/dev/peps/pep-3118/

 From what I can tell ( http://svn.python.org/view?rev=61491&view=rev ), 
this is already in Python 2.6.

-Andrew


More information about the Numpy-discussion mailing list